Bug 975059 - python-dmidecode produces invalid XML data on some hardware
Summary: python-dmidecode produces invalid XML data on some hardware
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python-dmidecode
Version: 6.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Ales Ledvinka
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On: 949036
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-17 14:20 UTC by Jan Kurik
Modified: 2016-09-20 04:33 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
On some hardware, the DMI tables contain data which makes python-dmidecode generate XML tags with duplicated "dmispec" attributes. In some cases, when running the XML data through xmllint or other XML libraries, it failed to parse the data. This update corrects the duplicate "installed" and "dmispec" attributes, and data parsing no longer fails in the described scenario.
Clone Of:
Environment:
Last Closed: 2013-06-27 13:32:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0989 0 normal SHIPPED_LIVE python-dmidecode bug fix update 2013-06-27 17:31:38 UTC

Description Jan Kurik 2013-06-17 14:20:56 UTC
This bug has been copied from bug #949036 and has been proposed
to be backported to 6.4 z-stream (EUS).

Comment 10 errata-xmlrpc 2013-06-27 13:32:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0989.html


Note You need to log in before you can comment on or make changes to this bug.